Re-baseline a revision
POST
/revisions/{id}/rebaseline
const url = 'https://app.buildtrace.eu/api/revisions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rebaseline';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"newLabel":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.buildtrace.eu/api/revisions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rebaseline \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "newLabel": "example" }'Required scope: revisions:write.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
newLabel
required
string
Example generated
{ "newLabel": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
string format: uuid
partId
required
string format: uuid
label
required
string
status
required
string
releasedAt
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "partId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "label": "example", "status": "example", "releasedAt": "2026-04-15T12:00:00Z"}Bad request
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}Unauthorized
Not found
Conflicting effective ECOs, ECOs on the revision that are not yet in force (drafted, approved, or effective from a later date), which re-baseline would strand, or an effective line that pins a revision of another part
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}